org.apache.ignite.internal.processors.metric.impl

## Class BooleanMetricImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.AbstractMetric
  - - org.apache.ignite.internal.processors.metric.impl.BooleanMetricImpl

All Implemented Interfaces:
  BooleanMetric, Metric

    public class BooleanMetricImpl
    extends AbstractMetric
    implements BooleanMetric

Metric that holds boolean primitive.

### Constructor Summary

Constructors
Constructor and Description
`BooleanMetricImpl(String name, @Nullable String desc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `reset()` Resets metric state.
`boolean` `value()`
`void` `value(boolean val)` Sets value.

### Methods inherited from class org.apache.ignite.internal.processors.metric.AbstractMetric

`description, equals, hashCode, name`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.metric.BooleanMetric

`getAsString`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name`

### Constructor Detail

#### BooleanMetricImpl

    public BooleanMetricImpl(String name,
                             @Nullable
                             @Nullable String desc)

Parameters:
  `name` - Name.
  `desc` - Description.

### Method Detail

#### value

    public void value(boolean val)

Sets value.

Parameters:
  `val` - Value.

#### reset

    public void reset()

Resets metric state.

Specified by:
  `reset` in interface `Metric`

#### value

    public boolean value()

Specified by:
  `value` in interface `BooleanMetric`
Returns:
  Value of the metric.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022